Subject: Re: non-subscriber posting

From: Randy Presuhn <[email-masked]>
Date: Thu, 26 Sep 2002 07:56:47 -0700 (PDT)

Hi -

> Dear ***,
>            I have two  questions  about agentX protocol.
>           Question 1:
>                     Why agentX use sessions?
>                     I think  that  subagent register  a connection with masterAgent ,then register the vews to masterAgent. It is enogh

There are several uses for sessions.  See the working group
archives for January, 1997 in the thread "IETF 37, agentx
meeting transcript" for a discussion of this point.

>           Question 2:
>                     Can many subagents owned the same OID? when SNMP set is requested, will master Agent send agentX_test_set for each   subagent?
...

No limit, but which one sees the query is determined by
RFC 2741 section 7.1.4.1 and its subsections.

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  SJC-1.3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------